Deployment Endpoints - VoV Deployer

Teradata VantageCore on Virtualization (VoV) Deployer Getting Started

Product
VoV Deployer
Release Number
Deployer 5.0
Published
March 2026
ft:locale
en-US
ft:lastEdition
2026-03-31
dita:mapPath
ijo1771527092730.ditamap
dita:ditavalPath
ayr1485454803741.ditaval
dita:id
ijo1771527092730

Start Deployment

 POST /api/deployment/start 
 Content-Type: application/json

 {
   "mode": "standard",
   "playbook": "deploy-full-ecosystem-vms-kvm", 
   "node_properties": "/tmp/vov-deployer/nodeITproperties.json",
   "common_properties": "/tmp/vov-deployer/commonITproperties.json",
   "tags": "all",
   "skip_tags": "none", 
   "verbosity": 0, 
   "dry_run": false
 }

Response:

 {
     "status": "started",
     "message": "Deployment started successfully"
 }

Stop Deployment

 POST /api/deployment/stop

Response:

 {
     "status": "stopped",
     "message": "Deployment stopped successfully"
 }

Get Deployment Status

 GET /api/deployment/status

Response:

 {
     "status": "running", 
     "running": true,
     "playbook": "deploy-full-ecosystem-vms-kvm", 
     "started": "2026-01-22T14:30:00",
     "start_time": 1737553800.0
}